# Increase the number of slots on ETS2

{% hint style="warning" %}
The “convoy slots” change is done **server-side** and **client-side**.\
Otherwise, players will not see the server.
{% endhint %}

### Objective

Take your ETS2 server beyond 8 players (e.g. 128).

### Step-by-step guide

{% stepper %}
{% step %}
**Stop the server**

Stop the server from the dashboard.
{% endstep %}

{% step %}
**Server side: increase max\_players**

In the **FTP**, open the file `.local/share/Euro Truck Simulator 2/server_config.sii`, then edit:

```sii
max_players: 8
```

to:

```sii
max_players: 128
```

{% endstep %}

{% step %}
**Client side: increase g\_max\_convoy\_size**

Make sure that **the game is closed** on each PC.

On Windows:

1. `Windows + R`
2. Enter:

```
%USERPROFILE%\Documents\Euro Truck Simulator 2
```

Open `config.cfg`.

Search for `uset g_max_convoy_size`.

Set the same value as the server:

```cfg
uset g_max_convoy_size "128"
```

Save, then restart the game.
{% endstep %}

{% step %}
**Restart and test**

Restart the server.

Perform a connection test with a modified client.
{% endstep %}
{% endstepper %}

### Common issues

* **The server does not appear** : `g_max_convoy_size` remained at `8` client-side.
* **Some players see it, others do not** : not all clients are modified.

### FAQ

#### Do all players have to make the change?

Yes.\
Each player must modify their `config.cfg`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oxygenserv.com/en/euro-truck-simulator-2/augmenter-le-nombre-de-slots-sur-ets2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
